org.hibernate.search.cfg

## Class FieldBridgeDirectMapping

- java.lang.Object
- - org.hibernate.search.cfg.PropertyMapping
  - - org.hibernate.search.cfg.FieldBridgeDirectMapping

-     public class FieldBridgeDirectMapping
      extends PropertyMapping

  As opposed to FieldBridgeMapping which is used as an option of Field, this mapping can be defined directly on the property. Mostly used when no Field is defined, such as on DocumentId.
  Author:
    Sanne Grinovero (C) 2012 Red Hat Inc.

- - ### Field Summary

    - ### Fields inherited from class org.hibernate.search.cfg.PropertyMapping

      `entity, mapping, property`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldBridgeDirectMapping(PropertyDescriptor property, EntityDescriptor entity, SearchMapping mapping, Class<? extends FieldBridge> fieldBridge)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldBridgeDirectMapping` | `param(String name, String value)`

    - ### Methods inherited from class org.hibernate.search.cfg.PropertyMapping

      `analyzerDef, analyzerDef, analyzerDiscriminator, bridge, calendarBridge, containedIn, dateBridge, documentId, dynamicBoost, entity, field, indexEmbedded, latitude, longitude, normalizerDef, property, spatial`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldBridgeDirectMapping

          public FieldBridgeDirectMapping(PropertyDescriptor property,
                                          EntityDescriptor entity,
                                          SearchMapping mapping,
                                          Class<? extends FieldBridge> fieldBridge)

  - ### Method Detail

    - #### param

          public FieldBridgeDirectMapping param(String name,
                                                String value)

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved